"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.selectEmpresaEndereco = exports.insertPessoaJuridica = exports.insertFornedor = exports.insertEnde = exports.insertEmpresaAux = exports.addFilial = exports.addEmpresa = exports.addCliente = void 0;
const insertEmpresaAux = (EMPR_RAZAO_SOCIAL, EMPR_FANTASIA, EMPR_CNPJ, EMPR_TIPO, EMPR_DATA_ABERTURA, EMPR_TELEFONE, EMPR_EMAIL, EMPR_SITUACAO, EMPR_PORTE, EMPR_NATUREZA_JURIDICA, EMPR_ULTIMA_ATUALIZACAO, EMPR_STATUS, EMPR_MOTIVO_SITUACAO, EMPR_SITUACAO_ESPECIAL, EMPR_CAPITAL_SOCIAL) => {
  return `
        INSERT INTO 
            EMPRESA
                (
                    EMPR_RAZAO_SOCIAL,
                    EMPR_FANTASIA,
                    EMPR_CNPJ,
                    EMPR_TIPO,
                    EMPR_DATA_ABERTURA,
                    EMPR_TELEFONE,
                    EMPR_EMAIL,
                    EMPR_SITUACAO,
                    EMPR_PORTE,
                    EMPR_NATUREZA_JURIDICA,
                    EMPR_ULTIMA_ATUALIZACAO,
                    EMPR_STATUS,
                    EMPR_MOTIVO_SITUACAO,
                    EMPR_SITUACAO_ESPECIAL,
                    EMPR_CAPITAL_SOCIAL
                )
        VALUES
            (
                '${EMPR_RAZAO_SOCIAL}',
                '${EMPR_FANTASIA}',
                '${EMPR_CNPJ}',
                '${EMPR_TIPO}',
                '${EMPR_DATA_ABERTURA}',
                '${EMPR_TELEFONE}',
                '${EMPR_EMAIL}',
                '${EMPR_SITUACAO}',
                '${EMPR_PORTE}',
                '${EMPR_NATUREZA_JURIDICA}',
                '${EMPR_ULTIMA_ATUALIZACAO}',
                '${EMPR_STATUS}',
                '${EMPR_MOTIVO_SITUACAO}',
                '${EMPR_SITUACAO_ESPECIAL}',
                ${EMPR_CAPITAL_SOCIAL}
            )
            
        SELECT 
            @@IDENTITY  AS ID
    `;
};
exports.insertEmpresaAux = insertEmpresaAux;
const insertEnde = (ENDE_COMPLEMENTO, ENDE_BAIRRO, ENDE_LOGRADOURO, ENDE_MUNICIPIO, ENDE_UF, ENDE_NUMERO, ENDE_CEP, ENDE_EMPR_COD) => {
  return `
    INSERT INTO
        ENDERECO
            (
                ENDE_COMPLEMENTO,
                ENDE_BAIRRO,
                ENDE_LOGRADOURO,
                ENDE_MUNICIPIO,
                ENDE_UF,
                ENDE_NUMERO,
                ENDE_CEP,
                ENDE_EMPR_COD
            )
    VALUES
        (
            '${ENDE_COMPLEMENTO}',
            '${ENDE_BAIRRO}',
            '${ENDE_LOGRADOURO}',
            '${ENDE_MUNICIPIO}',
            '${ENDE_UF}',
            '${ENDE_NUMERO}',
            '${ENDE_CEP}',
            ${ENDE_EMPR_COD}
        )
  `;
};
exports.insertEnde = insertEnde;
const selectEmpresaEndereco = cnpj => {
  return `
        SELECT
            EMPR_CNPJ,
            EMPR_EMAIL,
            ENDE_UF,
            ENDE_MUNICIPIO,
            EMPR_RAZAO_SOCIAL,
            EMPR_FANTASIA,
            EMPR_TELEFONE,
            ENDE_COMPLEMENTO,
            ENDE_CEP,
            ENDE_BAIRRO,
            ENDE_LOGRADOURO,
            ENDE_NUMERO
        FROM 
            EMPRESA
        INNER JOIN
            ENDERECO
        ON
            ENDE_EMPR_COD = EMPR_COD
        WHERE
            EMPR_CNPJ = '${cnpj}'
    `;
};
exports.selectEmpresaEndereco = selectEmpresaEndereco;
const insertPessoaJuridica = (PEJU_COD, PEJU_CGC, PEJU_EMAIL, PEJU_UNFE_SIGLA, PEJU_CIDADE, PEJU_RAZAO_SOCIAL, PEJU_NOME_FANTASIA, PEJU_TEL, PEJU_END, PEJU_CEP, PEJU_BAIRRO, banco) => {
  return `
    INSERT INTO 
        ${banco}.dbo.PESSOA_JURIDICA
            (
                PEJU_COD,
                PEJU_CGC,
                PEJU_EMAIL,
                PEJU_UNFE_SIGLA,
                PEJU_CIDADE,
                PEJU_RAZAO_SOCIAL,
                PEJU_NOME_FANTASIA,
                PEJU_TEL,
                PEJU_END,
                PEJU_CEP,
                PEJU_BAIRRO,
                PEJU_IND_BLOQUEIO,
                PEJU_TIPO_EMPRESA
            )
    VALUES
        (
            ${PEJU_COD},
            '${PEJU_CGC}',
            '${PEJU_EMAIL}',
            '${PEJU_UNFE_SIGLA}',
            '${PEJU_CIDADE}',
            '${PEJU_RAZAO_SOCIAL}',
            '${PEJU_NOME_FANTASIA}',
            '${PEJU_TEL}',
            '${PEJU_END}',
            '${PEJU_CEP}',
            '${PEJU_BAIRRO}',
            'N',
            'L'
        )
        
    `;
};
exports.insertPessoaJuridica = insertPessoaJuridica;
const insertFornedor = (FORN_NOME, FORN_COD, FORN_TIPO_COD, banco) => {
  return `
    INSERT INTO
        ${banco}.dbo.FORNECEDOR
            (
                FORN_COD,
                FORN_NOME,
                FORN_IND_IR,
                FORN_IND_INSS,
                FORN_IND_ISS,
                FORN_TIPO,
                FORN_TIPO_COD
            )
    VALUES
        (
            ${FORN_COD},
            '${FORN_NOME}',
            'N',
            'N',
            'N',
            'J',
            ${FORN_TIPO_COD}
        )
        
        SELECT ${FORN_COD} as ID
    `;
};
exports.insertFornedor = insertFornedor;
const addCliente = (CLIE_TIPO_COD, CLIE_NOME, CLIE_COD, banco) => {
  return `
        INSERT INTO
            ${banco}.dbo.CLIENTE
                (
                    CLIE_INTERVENIENTE_PAGADOR,
                    CLIE_TIPO_COD,
                    CLIE_TIPO,
                    CLIE_NOME,
                    CLIE_COD
                )
        VALUES
            (
                'N',
                ${CLIE_TIPO_COD},
                'F',
                '${CLIE_NOME}',
                ${CLIE_COD}
            )


  `;
};
exports.addCliente = addCliente;
const addEmpresa = (banco, EMPR_COD, EMPR_NOME, EMPR_FONE, EMPR_BAIRRO, EMPR_UNFE_SIGLA, EMPR_END, EMPR_CIDADE, EMPR_CGC, EMPR_CEP, EMPR_EMAIL) => {
  return `
        INSERT INTO
            ${banco}.dbo.EMPRESA
                (
                    EMPR_COD,
                    EMPR_NOME,
                    EMPR_IND_BLOQ,
                    EMPR_FONE,
                    EMPR_BAIRRO,
                    EMPR_UNFE_SIGLA,
                    EMPR_END,
                    EMPR_CIDADE,
                    EMPR_CGC,
                    EMPR_CEP,
                    EMPR_EMAIL
                )
        VALUES
            (
                ${EMPR_COD},
                '${EMPR_NOME}',
                'N',
                '${EMPR_FONE}',
                '${EMPR_BAIRRO}',
                '${EMPR_UNFE_SIGLA}',
                '${EMPR_END}',
                '${EMPR_CIDADE}',
                '${EMPR_CGC}',
                '${EMPR_CEP}',
                '${EMPR_EMAIL}'
            )
  `;
};
exports.addEmpresa = addEmpresa;
const addFilial = (banco, FILI_COD, FILI_UNFE_SIGLA, FILI_EMPR_COD, FILI_NOME_FANTASIA, FILI_CGC, FILI_ENDERECO, FILI_CIDADE, FILI_TELEFONE, FILI_CEP, FILI_BAIRRO, FILI_EMAIL) => {
  return `
        INSERT INTO
            ${banco}.dbo.FILIAL
                (
                    FILI_COD,
                    FILI_UNFE_SIGLA,
                    FILI_EMPR_COD,
                    FILI_NOME_FANTASIA,
                    FILI_CGC,
                    FILI_ENDERECO,
                    FILI_CIDADE,
                    FILI_TELEFONE,
                    FILI_CEP,
                    FILI_BAIRRO,
                    FILI_EMAIL,
                    FILI_IND_BLOQ
                )
        VALUES
            (
                '${FILI_COD}',
                '${FILI_UNFE_SIGLA}',
                ${FILI_EMPR_COD},
                '${FILI_NOME_FANTASIA}',
                '${FILI_CGC}',
                '${FILI_ENDERECO}',
                '${FILI_CIDADE}',
                '${FILI_TELEFONE}',
                '${FILI_CEP}',
                '${FILI_BAIRRO}',
                '${FILI_EMAIL}',
                'N'
            )
    `;
};
exports.addFilial = addFilial;