export const insertEmpresaAux = (
  EMPR_RAZAO_SOCIAL: string | null,
  EMPR_FANTASIA: string | null,
  EMPR_CNPJ: string | null,
  EMPR_TIPO: string | null,
  EMPR_DATA_ABERTURA: string | null,
  EMPR_TELEFONE: string | null,
  EMPR_EMAIL: string | null,
  EMPR_SITUACAO: string | null,
  EMPR_PORTE: string | null,
  EMPR_NATUREZA_JURIDICA: string | null,
  EMPR_ULTIMA_ATUALIZACAO: string | Date,
  EMPR_STATUS: string | null,
  EMPR_MOTIVO_SITUACAO: string | null,
  EMPR_SITUACAO_ESPECIAL: string | null,
  EMPR_CAPITAL_SOCIAL: number | null | string
) => {
  return `
        INSERT INTO 
            EMPRESA
                (
                    EMPR_RAZAO_SOCIAL,
                    EMPR_FANTASIA,
                    EMPR_CNPJ,
                    EMPR_TIPO,
                    EMPR_DATA_ABERTURA,
                    EMPR_TELEFONE,
                    EMPR_EMAIL,
                    EMPR_SITUACAO,
                    EMPR_PORTE,
                    EMPR_NATUREZA_JURIDICA,
                    EMPR_ULTIMA_ATUALIZACAO,
                    EMPR_STATUS,
                    EMPR_MOTIVO_SITUACAO,
                    EMPR_SITUACAO_ESPECIAL,
                    EMPR_CAPITAL_SOCIAL
                )
        VALUES
            (
                '${EMPR_RAZAO_SOCIAL}',
                '${EMPR_FANTASIA}',
                '${EMPR_CNPJ}',
                '${EMPR_TIPO}',
                '${EMPR_DATA_ABERTURA}',
                '${EMPR_TELEFONE}',
                '${EMPR_EMAIL}',
                '${EMPR_SITUACAO}',
                '${EMPR_PORTE}',
                '${EMPR_NATUREZA_JURIDICA}',
                '${EMPR_ULTIMA_ATUALIZACAO}',
                '${EMPR_STATUS}',
                '${EMPR_MOTIVO_SITUACAO}',
                '${EMPR_SITUACAO_ESPECIAL}',
                ${EMPR_CAPITAL_SOCIAL}
            )
            
        SELECT 
            @@IDENTITY  AS ID
    `
}

export const insertEnde = (
  ENDE_COMPLEMENTO: string | undefined,
  ENDE_BAIRRO: string | undefined,
  ENDE_LOGRADOURO: string | undefined,
  ENDE_MUNICIPIO: string | undefined,
  ENDE_UF: string | undefined,
  ENDE_NUMERO: string | undefined,
  ENDE_CEP: string | undefined,
  ENDE_EMPR_COD: number | string
) => {
  return `
    INSERT INTO
        ENDERECO
            (
                ENDE_COMPLEMENTO,
                ENDE_BAIRRO,
                ENDE_LOGRADOURO,
                ENDE_MUNICIPIO,
                ENDE_UF,
                ENDE_NUMERO,
                ENDE_CEP,
                ENDE_EMPR_COD
            )
    VALUES
        (
            '${ENDE_COMPLEMENTO}',
            '${ENDE_BAIRRO}',
            '${ENDE_LOGRADOURO}',
            '${ENDE_MUNICIPIO}',
            '${ENDE_UF}',
            '${ENDE_NUMERO}',
            '${ENDE_CEP}',
            ${ENDE_EMPR_COD}
        )
  `
}

export const selectEmpresaEndereco = (cnpj: string) => {
  return `
        SELECT
            EMPR_CNPJ,
            EMPR_EMAIL,
            ENDE_UF,
            ENDE_MUNICIPIO,
            EMPR_RAZAO_SOCIAL,
            EMPR_FANTASIA,
            EMPR_TELEFONE,
            ENDE_COMPLEMENTO,
            ENDE_CEP,
            ENDE_BAIRRO,
            ENDE_LOGRADOURO,
            ENDE_NUMERO
        FROM 
            EMPRESA
        INNER JOIN
            ENDERECO
        ON
            ENDE_EMPR_COD = EMPR_COD
        WHERE
            EMPR_CNPJ = '${cnpj}'
    `
}
export const insertPessoaJuridica = (
  PEJU_COD: string,
  PEJU_CGC: string,
  PEJU_EMAIL: string,
  PEJU_UNFE_SIGLA: string,
  PEJU_CIDADE: string,
  PEJU_RAZAO_SOCIAL: string,
  PEJU_NOME_FANTASIA: string,
  PEJU_TEL: string,
  PEJU_END: string,
  PEJU_CEP: string,
  PEJU_BAIRRO: string,
  banco: string
) => {
  return `
    INSERT INTO 
        ${banco}.dbo.PESSOA_JURIDICA
            (
                PEJU_COD,
                PEJU_CGC,
                PEJU_EMAIL,
                PEJU_UNFE_SIGLA,
                PEJU_CIDADE,
                PEJU_RAZAO_SOCIAL,
                PEJU_NOME_FANTASIA,
                PEJU_TEL,
                PEJU_END,
                PEJU_CEP,
                PEJU_BAIRRO,
                PEJU_IND_BLOQUEIO,
                PEJU_TIPO_EMPRESA
            )
    VALUES
        (
            ${PEJU_COD},
            '${PEJU_CGC}',
            '${PEJU_EMAIL}',
            '${PEJU_UNFE_SIGLA}',
            '${PEJU_CIDADE}',
            '${PEJU_RAZAO_SOCIAL}',
            '${PEJU_NOME_FANTASIA}',
            '${PEJU_TEL}',
            '${PEJU_END}',
            '${PEJU_CEP}',
            '${PEJU_BAIRRO}',
            'N',
            'L'
        )
        
    `
}

export const insertFornedor = (
  FORN_NOME: string,
  FORN_COD: string,
  FORN_TIPO_COD: string,
  banco: string
) => {
  return `
    INSERT INTO
        ${banco}.dbo.FORNECEDOR
            (
                FORN_COD,
                FORN_NOME,
                FORN_IND_IR,
                FORN_IND_INSS,
                FORN_IND_ISS,
                FORN_TIPO,
                FORN_TIPO_COD
            )
    VALUES
        (
            ${FORN_COD},
            '${FORN_NOME}',
            'N',
            'N',
            'N',
            'J',
            ${FORN_TIPO_COD}
        )
        
        SELECT ${FORN_COD} as ID
    `
}

export const addCliente = (
  CLIE_TIPO_COD:number,
  CLIE_NOME:string,
  CLIE_COD: number,
  banco:string
) => {
  return `
        INSERT INTO
            ${banco}.dbo.CLIENTE
                (
                    CLIE_INTERVENIENTE_PAGADOR,
                    CLIE_TIPO_COD,
                    CLIE_TIPO,
                    CLIE_NOME,
                    CLIE_COD
                )
        VALUES
            (
                'N',
                ${CLIE_TIPO_COD},
                'F',
                '${CLIE_NOME}',
                ${CLIE_COD}
            )


  `
}

export const addEmpresa = (
  banco: string,
  EMPR_COD:number,
  EMPR_NOME: string,
  EMPR_FONE: string,
  EMPR_BAIRRO: string,
  EMPR_UNFE_SIGLA: string,
  EMPR_END: string,
  EMPR_CIDADE: string,
  EMPR_CGC: string,
  EMPR_CEP: string,
  EMPR_EMAIL: string
) => {
  return `
        INSERT INTO
            ${banco}.dbo.EMPRESA
                (
                    EMPR_COD,
                    EMPR_NOME,
                    EMPR_IND_BLOQ,
                    EMPR_FONE,
                    EMPR_BAIRRO,
                    EMPR_UNFE_SIGLA,
                    EMPR_END,
                    EMPR_CIDADE,
                    EMPR_CGC,
                    EMPR_CEP,
                    EMPR_EMAIL
                )
        VALUES
            (
                ${EMPR_COD},
                '${EMPR_NOME}',
                'N',
                '${EMPR_FONE}',
                '${EMPR_BAIRRO}',
                '${EMPR_UNFE_SIGLA}',
                '${EMPR_END}',
                '${EMPR_CIDADE}',
                '${EMPR_CGC}',
                '${EMPR_CEP}',
                '${EMPR_EMAIL}'
            )
  `
}

export const addFilial = (
  banco: string,
  FILI_COD:number,
  FILI_UNFE_SIGLA: string,
  FILI_EMPR_COD: number,
  FILI_NOME_FANTASIA: string,
  FILI_CGC: string,
  FILI_ENDERECO: string,
  FILI_CIDADE: string,
  FILI_TELEFONE: string,
  FILI_CEP: string,
  FILI_BAIRRO: string,
  FILI_EMAIL: string
) => {
  return `
        INSERT INTO
            ${banco}.dbo.FILIAL
                (
                    FILI_COD,
                    FILI_UNFE_SIGLA,
                    FILI_EMPR_COD,
                    FILI_NOME_FANTASIA,
                    FILI_CGC,
                    FILI_ENDERECO,
                    FILI_CIDADE,
                    FILI_TELEFONE,
                    FILI_CEP,
                    FILI_BAIRRO,
                    FILI_EMAIL,
                    FILI_IND_BLOQ
                )
        VALUES
            (
                '${FILI_COD}',
                '${FILI_UNFE_SIGLA}',
                ${FILI_EMPR_COD},
                '${FILI_NOME_FANTASIA}',
                '${FILI_CGC}',
                '${FILI_ENDERECO}',
                '${FILI_CIDADE}',
                '${FILI_TELEFONE}',
                '${FILI_CEP}',
                '${FILI_BAIRRO}',
                '${FILI_EMAIL}',
                'N'
            )
    `
}
