import AppError from '../errors/AppError'
import { addEmpresa } from '../queries'
import { EMPRESA } from '../typeorm/entities/empresa'
import { empresaRepository } from '../typeorm/repository/empresaRepository'

export class AddEmpresaService {
  public async execute (
    banco: string,
    EMPR_NOME: string,
    EMPR_FONE: string,
    EMPR_BAIRRO: string,
    EMPR_UNFE_SIGLA: string,
    EMPR_END: string,
    EMPR_CIDADE: string,
    EMPR_CGC: string,
    EMPR_CEP: string,
    EMPR_EMAIL: string
  ) {
    const EMPR_COD = await empresaRepository.query(`SELECT ISNULL(MAX(EMPR_COD + 1),0) as ID FROM [${banco}].[dbo].[EMPRESA]`)

    const sql = addEmpresa(
      banco,
      EMPR_COD[0].ID,
      EMPR_NOME,
      EMPR_FONE,
      EMPR_BAIRRO,
      EMPR_UNFE_SIGLA,
      EMPR_END,
      EMPR_CIDADE,
      EMPR_CGC,
      EMPR_CEP,
      EMPR_EMAIL
    )

    const execAddEmpresa = await empresaRepository.query(sql)

    return EMPR_COD
  }
}
