import AppError from '../errors/AppError'
import { addFilial } from '../queries'
import { EMPRESA } from '../typeorm/entities/empresa'
import { empresaRepository } from '../typeorm/repository/empresaRepository'

export class AddFilialService {
  public async execute (
    banco: string,
    FILI_UNFE_SIGLA: string,
    FILI_EMPR_COD: number,
    FILI_NOME_FANTASIA: string,
    FILI_CGC: string,
    FILI_ENDERECO: string,
    FILI_CIDADE: string,
    FILI_TELEFONE: string,
    FILI_CEP: string,
    FILI_BAIRRO: string,
    FILI_EMAIL: string
  ) {
    const FILI_COD = await empresaRepository.query(`SELECT ISNULL(MAX(FILI_COD + 1),0) as ID FROM [${banco}].[dbo].[FILIAL]`)

    const sql = addFilial(
      banco,
      FILI_COD[0].ID,
      FILI_UNFE_SIGLA,
      FILI_EMPR_COD,
      FILI_NOME_FANTASIA,
      FILI_CGC,
      FILI_ENDERECO,
      FILI_CIDADE,
      FILI_TELEFONE,
      FILI_CEP,
      FILI_BAIRRO,
      FILI_EMAIL
    )

    const execAddFilia = await empresaRepository.query(sql)

    return FILI_COD
  }
}
