import AppError from '../errors/AppError'
import { selectEmpresaEndereco } from '../queries'
import { EMPRESA } from '../typeorm/entities/empresa'
import { empresaRepository } from '../typeorm/repository/empresaRepository'

interface IRequest {
    cnpj: string
}

export class SearchEmpresaPejuFornService {
  public async execute ({ cnpj }: IRequest): Promise<EMPRESA> {
    const sql = selectEmpresaEndereco(cnpj)
    console.log('====================================')
    console.log(sql)
    console.log('====================================')
    const empresaExists = await empresaRepository.query(sql)
    if (!empresaExists) {
      throw new AppError('Error')
    }
    return empresaExists
  }
}
