/* eslint-disable @typescript-eslint/no-explicit-any */
import axios from 'axios'

export class SearchReceitaWsService {
  public async execute (cnpj: string): Promise<any> {
    let jsonReturn
    await axios.get(`https://receitaws.com.br/v1/cnpj/${cnpj}`, {
      headers: { 'Accept-Encoding': 'gzip,deflate,compress' }
    })
      .then(async (response) => {
        console.log('====================================')
        console.log(response)
        console.log('====================================')
        const
          {
            fantasia,
            complemento,
            nome,
            telefone,
            email,
            atividadesSecundarias,
            atividadePrincipal,
            qsa,
            situacao,
            bairro,
            logradouro,
            numero,
            cep,
            municipio,
            porte,
            naturezaJuridica,
            uf,
            cnpj,
            ultimaAtualizacao,
            status,
            efr,
            motivoSituacao,
            situacaoEspecial,
            capitalSocial,
            tipo,
            abertura
          } = response.data
        jsonReturn = {
          fantasia,
          complemento,
          nome,
          telefone,
          email,
          atividadesSecundarias,
          atividadePrincipal,
          qsa,
          situacao,
          bairro,
          logradouro,
          numero,
          cep,
          municipio,
          porte,
          naturezaJuridica,
          uf,
          cnpj,
          ultimaAtualizacao,
          status,
          efr,
          motivoSituacao,
          situacaoEspecial,
          capitalSocial,
          tipo,
          abertura
        }
      })
      .catch((e) => {
        jsonReturn = {
          statusCode: e.status,
          message: e.message
        }
      })

    return jsonReturn
  }
}
