/* eslint-disable @typescript-eslint/no-explicit-any */
import axios from 'axios'
import dotenv from 'dotenv'

dotenv.config()

export class SearchReceitaWsServicePaid {
  public async execute (cnpj: string): Promise<any> {
    const tokenWS = process.env.TOKEN_WS
    console.log('====================================')
    console.log(1)
    console.log('====================================')
    let jsonReturn

    await axios.get(`https://receitaws.com.br/v1/cnpj/${cnpj}/days/7`, {
      headers: {
        'Accept-Encoding': 'gzip,deflate,compress',
        Authorization: `Bearer ${tokenWS}`
      }
    })
      .then(async (response) => {
        console.log('====================================')
        console.log(response.data)
        console.log('====================================')
        const
          {
            fantasia,
            complemento,
            nome,
            telefone,
            email,
            atividadesSecundarias,
            atividadePrincipal,
            qsa,
            situacao,
            bairro,
            logradouro,
            numero,
            cep,
            municipio,
            porte,
            naturezaJuridica,
            uf,
            cnpj,
            ultimaAtualizacao,
            status,
            efr,
            motivoSituacao,
            situacaoEspecial,
            capitalSocial,
            tipo,
            abertura
          } = response.data
        jsonReturn = {
          fantasia,
          complemento,
          nome,
          telefone,
          email,
          atividadesSecundarias,
          atividadePrincipal,
          qsa,
          situacao,
          bairro,
          logradouro,
          numero,
          cep,
          municipio,
          porte,
          naturezaJuridica,
          uf,
          cnpj,
          ultimaAtualizacao,
          status,
          efr,
          motivoSituacao,
          situacaoEspecial,
          capitalSocial,
          tipo,
          abertura
        }
      })
      .catch((e) => {
        jsonReturn = {
          statusCode: e.status,
          message: e.message
        }
      })

    return jsonReturn
  }
}
