/* eslint-disable n/no-path-concat */
import { DataSource } from 'typeorm'
import 'reflect-metadata'
import dotenv from 'dotenv'
dotenv.config()
export const AppDataSource = new DataSource({
  type: 'mssql',
  host: process.env.SERVERS + '',
  username: process.env.USER_NAMES + '',
  password: process.env.PASSWORD + '',
  database: process.env.DATABASE + '',
  synchronize: true,
  logging: false,
  extra: {
    encrypt: false,
    trustServerCertificate: true
  },
  entities: [__dirname + '/entities/*.{js,ts}'],
  migrations: [__dirname + '/migrations/*.{js,ts}']
})
